DROP TABLE IF EXISTS sitemap_exclude;
CREATE TABLE sitemap_exclude (
  exclude_id INT unsigned NOT NULL AUTO_INCREMENT,
  exclude_file VARCHAR(255) NOT NULL,
  exclude_type TINYINT(1) DEFAULT 0 NOT NULL,
  is_box TINYINT(1) DEFAULT 0 NOT NULL,
  PRIMARY KEY (exclude_id)
) CHARACTER SET utf8 COLLATE utf8_unicode_ci;

# default excluded info boxes
insert into sitemap_exclude values (NULL, 'bm_best_sellers.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_categories.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_currencies.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_languages.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_manufacturer_info.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_manufacturers.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_order_history.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_product_notifications.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_product_social_bookmarks.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_reviews.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_search.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_shopping_cart.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_specials.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_whats_new.php', 1, 1);

# default excluded catalog files
insert into sitemap_exclude values (NULL, 'product_info.php', 1, 0);
insert into sitemap_exclude values (NULL, 'product_reviews.php', 1, 0);
insert into sitemap_exclude values (NULL, 'product_reviews_write.php', 1, 0);
insert into sitemap_exclude values (NULL, 'product_reviews_info.php', 1, 0);
insert into sitemap_exclude values (NULL, 'create_account_success.php', 1, 0);
insert into sitemap_exclude values (NULL, 'checkout_confirmation.php', 1, 0);
insert into sitemap_exclude values (NULL, 'checkout_process.php', 1, 0);
insert into sitemap_exclude values (NULL, 'checkout_payment.php', 1, 0);
insert into sitemap_exclude values (NULL, 'checkout_payment_address.php', 1, 0);
insert into sitemap_exclude values (NULL, 'checkout_shipping.php', 1, 0);
insert into sitemap_exclude values (NULL, 'checkout_shipping_address.php', 1, 0);
insert into sitemap_exclude values (NULL, 'checkout_success.php', 1, 0);
insert into sitemap_exclude values (NULL, 'tell_a_friend.php', 1, 0);


INSERT INTO configuration_group (configuration_group_id, configuration_group_title, configuration_group_description, sort_order) VALUES (77, 'Dynamic Sitemap', 'Dynamic Sitemap configuration options', '77');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Dynamic Sitemap Columns', 'DYNAMIC_SITEMAP_COLUMNS', '3', 'The number of columns to display on the Dynamic Sitemap page.', 77, '1', 'tep_cfg_select_option(array(\'1\', \'2\', \'3\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Dynamic Sitemap One Column Top', 'DYNAMIC_SITEMAP_1COL_TOP', 'categories', 'Which item should I display on the top of a Dynamic Sitemap one column page?', 77, '2', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Dynamic Sitemap One Column Middle', 'DYNAMIC_SITEMAP_1COL_MIDDLE', 'manufacturers', 'Which item should I display in the middle of a Dynamic Sitemap one column page?', 77, '3', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Dynamic Sitemap One Column Bottom', 'DYNAMIC_SITEMAP_1COL_BOTTOM', 'files', 'Which item should I display at the bottom of a Dynamic Sitemap one column page?', 77, '4', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Dynamic Sitemap Two Column Left Top', 'DYNAMIC_SITEMAP_2COL_LEFTTOP', 'categories', 'Which item should I display at the top left of a Dynamic Sitemap two column page?', 77, '5', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\', \'nothing\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Dynamic Sitemap Two Column Left Bottom', 'DYNAMIC_SITEMAP_2COL_LEFTBOTTOM', 'nothing', 'Which item should I display at the bottom left of a Dynamic Sitemap two column page?', 77, '6', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\', \'nothing\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Dynamic Sitemap Two Column Right Top', 'DYNAMIC_SITEMAP_2COL_RIGHTTOP', 'manufacturers', 'Which item should I display at the top right of a Dynamic Sitemap two column page?', 77, '7', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\', \'nothing\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Dynamic Sitemap Two Column Right Bottom', 'DYNAMIC_SITEMAP_2COL_RIGHTBOTTOM', 'files', 'Which item should I display at the bottom right of a Dynamic Sitemap two column page?', 77, '8', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\', \'nothing\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Dynamic Sitemap Three Column Left', 'DYNAMIC_SITEMAP_3COL_LEFT', 'categories', 'Which item should I display on the left of a Dynamic Sitemap three column page?', 77, '9', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Dynamic Sitemap Three Column Middle', 'DYNAMIC_SITEMAP_3COL_MIDDLE', 'manufacturers', 'Which item should I display in the middle of a Dynamic Sitemap three column page?', 77, '10', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Dynamic Sitemap Three Column Right', 'DYNAMIC_SITEMAP_3COL_RIGHT', 'files', 'Which item should I display on the right of a Dynamic Sitemap three column page?', 77, '11', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\'), ', now());

