DROP TABLE IF EXISTS sitemap_exclude;
CREATE TABLE sitemap_exclude (
  exclude_id INT unsigned NOT NULL AUTO_INCREMENT,
  exclude_file VARCHAR(255) NOT NULL,
  exclude_type TINYINT(1) DEFAULT 0 NOT NULL,
  is_box TINYINT(1) DEFAULT 0 NOT NULL,
  PRIMARY KEY (exclude_id)
) CHARACTER SET utf8 COLLATE utf8_unicode_ci;

# default excluded info boxes
insert into sitemap_exclude values (NULL, 'bm_best_sellers.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_categories.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_currencies.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_languages.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_manufacturer_info.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_manufacturers.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_order_history.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_product_notifications.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_product_social_bookmarks.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_reviews.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_search.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_shopping_cart.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_specials.php', 1, 1);
insert into sitemap_exclude values (NULL, 'bm_whats_new.php', 1, 1);

# default excluded catalog files
insert into sitemap_exclude values (NULL, 'product_info.php', 1, 0);
insert into sitemap_exclude values (NULL, 'product_reviews.php', 1, 0);
insert into sitemap_exclude values (NULL, 'product_reviews_write.php', 1, 0);
insert into sitemap_exclude values (NULL, 'product_reviews_info.php', 1, 0);
insert into sitemap_exclude values (NULL, 'create_account_success.php', 1, 0);
insert into sitemap_exclude values (NULL, 'checkout_confirmation.php', 1, 0);
insert into sitemap_exclude values (NULL, 'checkout_process.php', 1, 0);
insert into sitemap_exclude values (NULL, 'checkout_payment.php', 1, 0);
insert into sitemap_exclude values (NULL, 'checkout_payment_address.php', 1, 0);
insert into sitemap_exclude values (NULL, 'checkout_shipping.php', 1, 0);
insert into sitemap_exclude values (NULL, 'checkout_shipping_address.php', 1, 0);
insert into sitemap_exclude values (NULL, 'checkout_success.php', 1, 0);
insert into sitemap_exclude values (NULL, 'tell_a_friend.php', 1, 0);


INSERT INTO configuration_group (configuration_group_id, configuration_group_title, configuration_group_description, sort_order) VALUES (77, 'Mapa del sitio', 'Dynamic Sitemap configuration options', '77');

INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('Columnas sitemap', 'DYNAMIC_SITEMAP_COLUMNS', '3', 'El numero de columnas a mostrar en el sitemap.', 77, '1', 'tep_cfg_select_option(array(\'1\', \'2\', \'3\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('1a columna superior sitemap', 'DYNAMIC_SITEMAP_1COL_TOP', 'categories', 'Que elemento deberia mostrarse en la parte superior de la primera columna del sitemap?', 77, '2', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('1a columna central sitemap', 'DYNAMIC_SITEMAP_1COL_MIDDLE', 'manufacturers', 'Que elemento deberia mostrarse en el medio de la primera columna del sitemap?', 77, '3', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('1a columna inferior sitemap', 'DYNAMIC_SITEMAP_1COL_BOTTOM', 'files', 'Que elemento deberia mostrarse en la parte inferior de la primera columna del sitemap?', 77, '4', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('2a columna superior izquierda sitemap', 'DYNAMIC_SITEMAP_2COL_LEFTTOP', 'categories', 'Que elemento deberia mostrarse en la parte superior de la segunda columna izquierda del sitemap?', 77, '5', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\', \'nothing\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('2a columna inferior izquierda sitemap', 'DYNAMIC_SITEMAP_2COL_LEFTBOTTOM', 'nothing', 'Que elemento deberia mostrarse en la parte inferior izquierda de la segunda columna del sitemap?', 77, '6', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\', \'nothing\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('2a columna superior derecha sitemap', 'DYNAMIC_SITEMAP_2COL_RIGHTTOP', 'manufacturers', 'Que elemento deberia mostrarse en la parte superior derecha de la segunda columna izquierda del sitemap?', 77, '7', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\', \'nothing\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('2a columna inferior derecha sitemap', 'DYNAMIC_SITEMAP_2COL_RIGHTBOTTOM', 'files', 'Que elemento deberia mostrarse en la parte inferior derecha de la segunda columna del sitemap?', 77, '8', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\', \'nothing\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('3a columna izquierda sitemap', 'DYNAMIC_SITEMAP_3COL_LEFT', 'categories', 'Que elemento deberia mostrarse en la parte izquierda de la tercera columna del sitemap?', 77, '9', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('3a columna central sitemap', 'DYNAMIC_SITEMAP_3COL_MIDDLE', 'manufacturers', 'Que elemento deberia mostrarse en el medio de la tercera columna del sitemap?', 77, '10', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\'), ', now());


INSERT INTO configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('3a columna derecha sitemap', 'DYNAMIC_SITEMAP_3COL_RIGHT', 'files', 'Que elemento deberia mostrarse en la parte derecha de la tercera columna del sitemap?', 77, '11', 'tep_cfg_select_option(array(\'categories\', \'files\', \'manufacturers\'), ', now());

